Package org.jboss.logmanager.handlers

## Enum AsyncHandler.OverflowAction

- java.lang.Object
- - java.lang.Enum<AsyncHandler.OverflowAction>
  - - org.jboss.logmanager.handlers.AsyncHandler.OverflowAction

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AsyncHandler.OverflowAction>`

Enclosing class:
  AsyncHandler

    public static enum AsyncHandler.OverflowAction
    extends java.lang.Enum<AsyncHandler.OverflowAction>

### Enum Constant Summary

Enum Constants
`BLOCK`
`DISCARD`

### Method Summary

All Methods Static Methods Concrete Methods
`static AsyncHandler.OverflowAction` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AsyncHandler.OverflowAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BLOCK

    public static final AsyncHandler.OverflowAction BLOCK

#### DISCARD

    public static final AsyncHandler.OverflowAction DISCARD

### Method Detail

#### values

    public static AsyncHandler.OverflowAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AsyncHandler.OverflowAction c : AsyncHandler.OverflowAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AsyncHandler.OverflowAction valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null